#
# spec file for package fvwm2 (Version 2.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel gtkdoc imlib imlib-config imlib-devel libgpp libstroke libstroke-devel readline readline-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gtkdoc gzip imlib imlib-config imlib-devel kbd less libgpp libstroke libstroke-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         fvwm2
Copyright:    GPL
Group:        X11/Window Managers
Provides:     fvwmicns windowmanager
Requires:     icons icons-xpm
Obsoletes:    fvwm
Autoreqprov:  on
Version:      2.4.0
Release:      79
Summary:      An improved version of the FVWM window manager
URL:	      http://www.fvwm.org
Source0:      ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.bz2
Source1:      http://www.fvwm.org/generated/icon_download/fvwm_icons.tar.bz2
Source2:      fvwm-nls-examples.tar.bz2
Patch0:       fvwm-%{version}-config.patch
Patch1:	      fvwm-%{version}-fvwmrc.patch
Patch2:	      fvwm-%{version}-ia64.patch
Patch3:	      fvwm-%{version}-ia64-prep.patch
Patch4:	      fvwm-%{version}-conf.patch
BuildRoot:    %{_tmppath}/fvwm-build

%description
FVWM is a powerful ICCCM-compliant multiple virtual desktop window manager
for the X Window System.
This pre-2.4 version includes new features like colorsets, ICCCM2 and GNOME
compliance, experimental session management, improvements in all modules,
several new modules, revised menu code, stroke support and more.
The personal configuration is stored in the file ~/.fvwm2rc in the user's
home directory.  The system wide configuration is generated at installation
time by SuSEconfig and may be found in /etc/X11/fvwm2 .

Authors:
--------
    The fvwm developers <fvwm-workers@fvwm.org>

SuSE series: xwm

%prep
%setup -n fvwm-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
#
mkdir icons
tar -C icons -I -x -v -f $RPM_SOURCE_DIR/fvwm_icons.tar.bz2
tar Ixvf $RPM_SOURCE_DIR/fvwm-nls-examples.tar.bz2

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake --gnu --include-deps Makefile
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-extras \
	--with-x \
	--prefix=/usr/X11R6 \
	--sysconfdir=/etc/X11/fvwm2 \
	--libexecdir=\${prefix}/lib/X11/fvwm2 \
	--enable-multibyte
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 \
        sysconfdir=$RPM_BUILD_ROOT/etc/X11/fvwm2 \
        INSTALL_PROGRAM="/usr/bin/install -s"
install -d -m 755 $RPM_BUILD_ROOT/etc/X11/fvwm2
install -m 644 sample.fvwmrc/system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/system.fvwm2rc
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm2/utils
install utils/{fvwmrc_convert,quantize_pixmaps} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm2/utils
install -d -m 755 docu-module
for i in `find -name "README*" | grep -v ",v" | grep -v ".orig" `
do
	TMPDIR=`dirname ${i#./}`
	if [ "x$TMPDIR" = "x." ]; then
		install -m 644 $i docu-module/${i#./}
	else
		install -m 644 $i docu-module/README.`basename "$TMPDIR"`
	fi
done
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm2/pixmaps
cp icons/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm2/pixmaps
# Remove xpmroot, it conflicts with the icons package
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/xpmroot
rm -f $RPM_BUILD_ROOT/usr/X11R6/man/man?/xpmroot.*
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/xselection

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* docs sample.fvwmrc docu-module/*
%doc native-language-examples
%dir /etc/X11/fvwm2
%config /etc/X11/fvwm2/system.fvwm2rc
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/fvwm2
/usr/X11R6/share/fvwm
%doc /usr/X11R6/man/man1/*

%changelog -n cdesim
* Thu Aug 09 2001 - pmladek@suse.cz
- updated fvwm2 to stable version 2.4.0
* Thu Jun 14 2001 - pmladek@suse.cz
- added changes for fvwm2 with new autoconf
- moved CDEBanner sources from patch
- added man page for CDEBanner
- specfile clean up
- bzipped sources
* Tue Apr 24 2001 - pmladek@suse.cz
- added patches for fvwm2 for ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- updated fvwm2 to version 2.3.31
- added libstroke and libstroke-devel to neededforbuild
  according to fvwm2
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Fri Mar 30 2001 - pmladek@suse.cz
- updated fvwm to version 2.3.30
- fvwm compiled witk GTK and IMLIB
  * added gtk gtk-devel gtkdoc glib glib-devel imlib imlib-devel
  imlib-config to neededforbuild
- fixed call of suse_update_config
* Wed Mar 07 2001 - mfabian@suse.de
- upgrade fvwm to fvwm-2.3.29
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Jan 28 2001 - mfabian@suse.de
- fixed to build with fvwm-2.3.28
- added --enable-multibyte
- changed font settings in /usr/X11R6/lib/X11/cdesim/.cdesimrc
  to use fontsets instead of single fonts.
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons ..
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed configuration
- fixed to compile with fvwm-2.2.4
* Fri Aug 18 2000 - cihlar@suse.cz
- fixed to work with new pixmaps
* Mon Jun 05 2000 - ro@suse.de
- specfile cleanup, doc relocation
* Tue Sep 14 1999 - bs@suse.de
- created changes
%changelog -n fvwm2
* Thu Aug 09 2001 - pmladek@suse.cz
- updated to stable version 2.4.0
- fixed configure.in
  * forget cached value in readline tests
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to compile with new automake
* Wed May 16 2001 - pmladek@suse.cz
- fixed cast warnigs on ia64
* Thu May 10 2001 - pmladek@suse.cz
- removed link:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because susewm generates right config file system.fvwm2rc now)
- /etc/X11/fvwm2/system.fvwm2rc is right config file now
* Tue Apr 24 2001 - pmladek@suse.cz
- fixed conversions int <-> poiter on ia64
- fixed preprocesor problems on ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- updated to version 2.3.31
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Wed Apr 04 2001 - mfabian@suse.de
- removed rplay again from "# neededforbuild" because a small
  fvwm2 is needed as a default windowmanager and rplay will not
  be in the default selection.
* Wed Apr 04 2001 - mfabian@suse.de
- added libstroke, libstroke-devel, and rplay to "# neededforbuild"
  (request of upstream fvwm2 authors)
* Fri Mar 30 2001 - pmladek@suse.cz
- updated to version 2.3.30
- added URL
- compiled witk GTK and IMLIB
  * added gtk gtk-devel gtkdoc glib glib-devel imlib imlib-devel
  imlib-config to neededforbuild
- fixed call of suse_update_config
* Thu Mar 15 2001 - cihlar@suse.cz
- fixed file list
- removed xselection, package xselect is better
* Wed Mar 07 2001 - mfabian@suse.de
- repair packaging mistake, forgot to pack /usr/X11R6/share/
* Wed Mar 07 2001 - mfabian@suse.de
- upgrade to fvwm2-2.3.29
- improve nls examples
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Jan 28 2001 - mfabian@suse.de
- upgraded to "stable beta release" FVWM 2.3.28.
- added icons tarball (previously included in main tarball)
- added "--enable-multibyte" to ./configure
- added fvwm-nls-examples.tar.bz2 (explanation and examples
  for native language support, especially for Japanese)
- added symlink:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because fvwm2 now reads only /etc/X11/fvwm2/system.fvwm2rc, but
  SuSEconfig generates /etc/X11/fvwm/.fvwm2rc)
- removed patches changing path of perl (handled by configure now)
- removed old i18n patch (already included upstream now)
* Wed Dec 13 2000 - cihlar@suse.cz
- fixed i18n patch [#4532]
- removed %%preun
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons ...
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed i18n
- bzipped sources
- fixed configuration
* Fri Aug 18 2000 - cihlar@suse.cz
- fixed to work with new pixmaps
- fixed config file
* Tue Jun 06 2000 - kukuk@suse.de
- Update to 2.2.4
- Move sysconfdir to /etc/X11/fvwm2
* Mon Jun 05 2000 - ro@suse.de
- doc relocation
* Mon Dec 13 1999 - ro@suse.de
- use /usr/X11R6/bin instead of /usr/bin/X11
- use /usr/X11R6/lib/X11 instead of /usr/lib/X11
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Jul 17 1999 - maddin@suse.de
- created package version 2.2.2 (based on and conflicting with fvwm-2.0)
